<?php

namespace Drupal\botlog\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\botlog\BotlogSql;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Returns responses for contest module routes.
 */
class BotlogDetail extends ControllerBase {

  /**
   * The SQL.
   *
   * @var Drupal\botlog\BotlogSql
   */
  protected $sql;

  /**
   * Class constructor.
   *
   * @param \Drupal\botlog\BotlogSql $sql
   *   The SQL.
   */
  public function __construct(BotlogSql $sql) {
    $this->sql = $sql;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $c) {
    return new static($c->get('botlog.sql'));
  }

  /**
   * Offer error detail page.
   *
   * @param int $bid
   *   The error ID.
   *
   * @return Symfony\Component\HttpFoundation\RedirectResponse
   *   Reidrect back to the admin page.
   */
  public function botEvent($bid = 0) {
    $error = $this->sql->selectEvent($bid);

    $txt = !empty($error) ? print_r($error, TRUE) : $this->t('No information found.');

    return ['#markup' => "<pre>$txt</pre>"];
  }

}
